﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Chart;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Data> data1 = new ObservableCollection<Data>();
            data1.Add(new Data() { Value = 95, Label = 1 });
            data1.Add(new Data() { Value = 95, Label = 2 });
            data1.Add(new Data() { Value = 90, Label = 3 });
            data1.Add(new Data() { Value = 85, Label = 4 });
            data1.Add(new Data() { Value = 85, Label = 5 });
            data1.Add(new Data() { Value = 80, Label = 6 });
            data1.Add(new Data() { Value = 80, Label = 7 });
            data1.Add(new Data() { Value = 75, Label = 8 });
            data1.Add(new Data() { Value = 75, Label = 9 });

            foreach (var item in data1)
            {
                DataPoint dp = new DataPoint();
                dp.Value = item.Value;
                if (item.Value>= 90)
                {
                    dp.Fill = Brushes.Green;
                }
                else if (item.Value <= 90 && item.Value >= 80)
                {
                    dp.Fill = Brushes.Yellow;
                }
                else
                {
                    dp.Fill = Brushes.Red;
                }
                xamChart1.Series[2].DataPoints.Add(dp);
            }
        }
    }

    public class Data
    {
        public int Value { get; set; }
        public int Label { get; set; }
    }
}
